- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libepubgen::EPUBCounter Class Reference

`#include <EPUBCounter.h>`

## Public Member Functions
| EPUBCounter ()
unsigned | current () const
unsigned | next ()

## Private Member Functions
| EPUBCounter (const EPUBCounter &)
EPUBCounter & | operator= (const EPUBCounter &)

## Private Attributes
unsigned | m_current

## Constructor & Destructor Documentation

libepubgen::EPUBCounter::EPUBCounter | ( | const EPUBCounter & |  | ) |
| private

libepubgen::EPUBCounter::EPUBCounter | ( |  | ) |

## Member Function Documentation

unsigned libepubgen::EPUBCounter::current | ( |  | ) | const

unsigned libepubgen::EPUBCounter::next | ( |  | ) |

Referenced by libepubgen::EPUBHTMLManager::create(), and libepubgen::EPUBImageManager::insert().

EPUBCounter& libepubgen::EPUBCounter::operator= | ( | const EPUBCounter & |  | ) |
| private

## Member Data Documentation

unsigned libepubgen::EPUBCounter::m_current
| private

Referenced by current(), and next().

The documentation for this class was generated from the following files:

- EPUBCounter.h
- EPUBCounter.cpp